res_lib_cpg_deliver_callback Struct Reference

Message from another node. More...

`#include <ipc_cpg.h>`

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))
mar_cpg_name_t group_name | __attribute__ ((aligned(8)))
mar_uint32_t msglen | __attribute__ ((aligned(8)))
mar_uint32_t nodeid | __attribute__ ((aligned(8)))
mar_uint32_t pid | __attribute__ ((aligned(8)))
mar_uint8_t message[] | __attribute__ ((aligned(8)))

## Detailed Description

Message from another node.

Definition at line 333 of file ipc_cpg.h.

## Member Function Documentation

## __attribute__() [1/6]

struct qb_ipc_response_header header res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [2/6]

mar_cpg_name_t group_name res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [3/6]

mar_uint32_t msglen res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [4/6]

mar_uint32_t nodeid res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [5/6]

mar_uint32_t pid res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [6/6]

mar_uint8_t message[] res_lib_cpg_deliver_callback::__attribute__ | ( | (aligned(8)) |  | ) |

The documentation for this struct was generated from the following file:

- ipc_cpg.h